#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${detailpaket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'ubah_paket.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        #{alert /}
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                <a href="${detailpaket?.getDetailUrl()}" class="btn btn-sm btn-default"><i
                        class="fa fa-arrow-circle-left"></i>
                &{'back'}</a>&nbsp;
            </div>
        </div>
        <!-- End Toolbar -->
        <div class="wizard-form-wrapper">
            <div class="padded">
                <div id="rootwizard">
                    <div class="wizard-header">
                        <div class="row">
                            <div class="col-md-12">
                                <h4>&{'ubah_paket.label'} - ${penyedia.nama_penyedia}</h4>
                            </div>
                            <div class="col-md-12">
                                <div class="navbar">
                                    <div class="navbar-inner">

                                        <ul class="nav nav-pills">
                                            <li class="active">
                                                <a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
                                                <span>&{'pilih.label'} &{'rup.label'}</span>
                                            </li>
                                            <li>
                                                <a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
                                                <span>&{'informasi_klpd.label'}</span>
                                            </li>
                                            <li>
                                                <a href="#tab3" data-toggle="tab" class="btn-circle">3</a>
                                                <span>&{'data.label'} &{'pp_pemesan.label'}</span>
                                            </li>
                                        #{if aktifUser != null && !aktifUser.isPpk()}
                                            <li>
                                                <a href="#tab4" data-toggle="tab" class="btn-circle">4</a>
                                                <span>&{'pilih.label'} &{'ppk_pembeli.label'}</span>
                                            </li>
                                        #{/if}
                                        *{#{if aktifUser != null && aktifUser.isPp()}}*
                                        *{<li>}*
                                        *{<a href="#tab5" data-toggle="tab" class="btn-circle">5</a>}*
                                        *{<span>&{'daftar_produk.label'}</span>}*
                                        *{</li>}*
                                        *{#{/if}}*
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="wizard-body">
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div id="bar" class="progress">
                                                <div class="progress-bar" role="progressbar"
                                                     aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"
                                                     style="width: 0%;"></div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                    #{form @purchasing.PaketCtr.editSubmit(), method:'POST', class:'form-horizontal form-paket', id:'formedit'}
                                        <input type="hidden" name="paket.penyedia_id" value="${penyedia.id}">
                                        <input type="hidden" id="paket-id" name="paket.paket_id" value="${paket.paket_id}">
                                        <input type="hidden" id="paket-status" name="paket.status" value="${paket?.getStatus()}"/>
                                        <input type="hidden" name="kursId"  value="${paket.kurs_id}" />
                                        <input type="hidden" name="komId"  value="${komoditas.id}" />
                                        <input type="hidden" name="paket.page"  value="edit" />
                                        <input type="hidden" name="auto" id="auto-save" value="yes" />
                                        <input type="hidden" name="paket.isEdit"  id="isEdit" value="yes"/>
                                        <input type="hidden" name="url_reload"  id="url_reload" value="${urlReload}"/>
                                        <div class="tab-content">
                                            <div class="tab-pane active" id="tab1">
                                                #{include 'pl/form-data-paket/form-pilih-rup-edit.html'/}
                                            </div>
                                            <div class="tab-pane" id="tab2">
                                                #{include 'pl/form-data-paket/form-informasi-kldi.html'/}
                                            </div>

                                            <div class="tab-pane" id="tab3">
                                                #{include 'pl/form-data-paket/form-informasi-pp.html'/}
                                            </div>
                                            #{if aktifUser != null && aktifUser.isPp()}
                                                <div class="tab-pane" id="tab4">
                                                    <div class="col-md-6">
                                                        <div class="panel panel-default">
                                                            <div class="panel-heading">&{'cari_ppk.label'}</div>
                                                            <div class="panel-body">#{include
																'pl/form-data-paket/form-pilih-ppk.html'/}</div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="panel panel-default">
                                                            <div class="panel-heading">&{'ppk_pembeli.label'}</div>
                                                            <div class="panel-body">#{include 'pl/form-data-paket/form-informasi-ppk.html'/}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            #{/if}

                                            <ul class="pager wizard">
                                                <li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
                                                <li class="next"><a href="#">&{'selanjutnya.label'}</a></li>
                                                <li class="simpan">
                                                    <button id="save" class="btn btn-md btn-primary button-save" type="button">&{'kirim.label'}</button>
                                                    <button type="submit" id="btn-submit" style="display: none;"></button>
                                                </li>
                                                <li class="simpan_hidden" style="display: none">
                                                    <button id="submit_ok" class="btn btn-md btn-primary button-save"
                                                            type="submit">&{'kirim.label'}</button>
                                                </li>
                                            </ul>
                                        </div>
                                    #{/form}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

#{validationPackage/}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"></script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"></script>
<script src="@{'/public/javascripts/paket/form-paket.js'}" type="text/javascript"></script>
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/jquery.maskedinput.min.js'}"></script>
<script>
    $('input[name="paket.pengiriman_kabupaten"]').val(${paket.pengiriman_kabupaten});
    var params = {};
    params["urlGetKabupaten"] = "@{purchasing.KeranjangBelanjaCtr.getKabupatens()}";
    params["urlGetOngkir"] = "@{purchasing.KeranjangBelanjaCtr.getOngosKirim()}";
    params["kelasHarga"] = "${kelasHarga}";
    params["wilayahId"] = "${wilayahId}";
    params["provinsiId"] = "${provinsiId}";
    params["perluOngkir"] = "${komoditas?.perlu_ongkir}";
    params["submitPaket"] = "@{purchasing.PaketCtr.automatedSaving()}";
    params["reloadPaket"] = "/"+"${language}"+"/purchasing/paket/detail/";

    $("#rupQuerySearch").keyup(function () {
        var val = $("#rupQuerySearch").val();
        $("#btnCariRupPaket").attr("disabled", val === "");
    });

    $("#submit").on("click", function (e) {
        e.preventDefault();
        
        var selectPPK = $('input[name="paket.id_ppk"]').val() != "";
        var namaPPKupdate = $('input[name="paket.nama_ppk_update"]').val();
        var namaPPK = $('input[name="paket.nama_ppk"]').val();
        
        if (typeof namaPPK !== 'undefined'){
            // console.log($('input[name="paket.id_ppk"]').val() + " " + namaPPK + " " + namaPPKupdate+" "+(namaPPKupdate.toLowerCase() != namaPPK.toLowerCase()));

            if (namaPPKupdate !== "" && namaPPKupdate.toLowerCase() != namaPPK.toLowerCase()) {
                $.notify(
                        {
                            title: '<strong><h3>Peringatan</h3></strong>',
                            message: 'Nama PPK telah diubah, Silahkan Cek kembali PPK yang baru kemudian dipilih. Setelah itu bisa dilengkapi data yang kurang!'
                        },
                        {
                            offset: {x: 70, y: 115},
                            type: 'danger'
                        });
            } else {
                $("#submit_ok").click();
            }
        } else {
            $("#submit_ok").click();
        }
    });

</script>
#{/set}